View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000675Ecere SDKidepublic2012-01-16 21:102013-09-23 07:39
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.07Fixed in Version0.44.07 
Summary0000675: Multi-line preprocessor definitions syntax highlighting is quirky when space precedes #define
DescriptionWhen the first line is off the screen, the following lines do not get colored.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000489closedjerome ide: codeeditor: check if highlighting handles ' \' at end of single line comments properly 

-  Notes
(0000599)
jerome (administrator)
2012-05-29 15:25

Could not reproduce this problem for anything but continued single line comments.
Will mark it as resolved as that particular issue has been fixed.
Please re-open if a reproducible scenario happens with #define.
(0000601)
jerome (administrator)
2012-05-29 15:49

Fix for single line comment continuation problem:
02233f08da3f0b908d3fb59c62762487d631dc7b
(0000604)
jerome (administrator)
2012-06-04 18:18

Problem has been noticed when there are spaces before the #define
(0000605)
jerome (administrator)
2012-06-04 18:44

Fixed by https://github.com/ecere/sdk/commit/89df44e17d09d0e1314e781f7d159b5e0eb069b3 [^]

- Issue History
Date Modified Username Field Change
2012-01-16 21:10 jerome New Issue
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2012-05-29 15:24 jerome Relationship added related to 0000489
2012-05-29 15:25 jerome Note Added: 0000599
2012-05-29 15:49 jerome Note Added: 0000601
2012-05-29 15:49 jerome Status new => resolved
2012-05-29 15:49 jerome Fixed in Version => 0.44.1 Android
2012-05-29 15:49 jerome Resolution open => fixed
2012-05-29 15:49 jerome Assigned To => jerome
2012-06-04 18:18 jerome Note Added: 0000604
2012-06-04 18:18 jerome Status resolved => confirmed
2012-06-04 18:43 jerome Summary Multi-line preprocessor definitions syntax highlighting is quirky => Multi-line preprocessor definitions syntax highlighting is quirky when space precedes #define
2012-06-04 18:44 jerome Status confirmed => resolved
2012-06-04 18:44 jerome Note Added: 0000605
2013-04-25 21:37 jerome Target Version 0.45 Ginkakuji => 0.44.07
2013-05-19 22:15 jerome Status resolved => closed
2013-09-23 07:39 jerome Fixed in Version 0.44.12 Fixes => 0.44.07



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker